package space.kklochko.spring_rest_example.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import space.kklochko.spring_rest_example.models.Indicator;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

@RestController
@RequestMapping("/api/v1/indicators")
public class IndicatorController {
    @Autowired
    Indicator indicator;
    @GetMapping("/{indicatorId}")
    @ResponseBody
    public Indicator getIndicator(@PathVariable UUID indicatorId) {
        return indicator;
    }

    @GetMapping
    @ResponseBody
    public List<Indicator> getIndicators() {
        UUID id = UUID.fromString("becbafac-702c-11ee-9113-c0e4349366ab");
        Timestamp timestamp = Timestamp.valueOf("2023-10-18 14:30:00");
        Indicator indicator = new Indicator(id, "Blood2", "Fine2", timestamp);

        List<Indicator> indicators = new ArrayList<>();
        indicators.add(indicator);
        return indicators;
    }
}
